Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 812807 - systemd kill command doesn't work
Summary: systemd kill command doesn't work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: conman
Version: 17
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 816135
TreeView+ depends on / blocked
 
Reported: 2012-04-16 09:46 UTC by Martin Cermak
Modified: 2013-08-01 10:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 10:57:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Cermak 2012-04-16 09:46:48 UTC
Description of problem:

After killing the service with "systemctl kill conman.service" the service remains active.

Version-Release number of selected component (if applicable):

# rpm -q conman systemd
conman-0.2.5-4.fc17.x86_64
systemd-44-4.fc17.x86_64

How reproducible:

Always

Steps to Reproduce:

# systemctl status conman.service
conman.service - SYSV: The ConMan daemon is used for console management.
          Loaded: loaded (/etc/rc.d/init.d/conman)
          Active: active (running) since Mon, 16 Apr 2012 05:40:17 -0400; 16s ago
         Process: 14688 ExecStop=/etc/rc.d/init.d/conman stop (code=exited, status=0/SUCCESS)
         Process: 14572 ExecReload=/etc/rc.d/init.d/conman reload (code=exited, status=0/SUCCESS)
         Process: 14697 ExecStart=/etc/rc.d/init.d/conman start (code=exited, status=0/SUCCESS)
          CGroup: name=systemd:/system/conman.service
                  └ 14703 /usr/sbin/conmand -c /etc/conman.conf

Apr 16 05:40:17 dhcp-25-124.brq.redhat.com runuser[14699]: pam_unix(runuser:session): session opened for user...=0)
Apr 16 05:40:17 dhcp-25-124.brq.redhat.com runuser[14699]: pam_unix(runuser:session): session closed for user root
Apr 16 05:40:17 dhcp-25-124.brq.redhat.com conman[14697]: Starting ConMan: [  OK  ]
# echo $?
0
# systemctl kill conman.service
# echo $?
0
# systemctl status conman.service
conman.service - SYSV: The ConMan daemon is used for console management.
          Loaded: loaded (/etc/rc.d/init.d/conman)
          Active: active (exited) since Mon, 16 Apr 2012 05:40:17 -0400; 36s ago
         Process: 14688 ExecStop=/etc/rc.d/init.d/conman stop (code=exited, status=0/SUCCESS)
         Process: 14572 ExecReload=/etc/rc.d/init.d/conman reload (code=exited, status=0/SUCCESS)
         Process: 14697 ExecStart=/etc/rc.d/init.d/conman start (code=exited, status=0/SUCCESS)
          CGroup: name=systemd:/system/conman.service

Apr 16 05:40:17 dhcp-25-124.brq.redhat.com runuser[14699]: pam_unix(runuser:session): session opened for user...=0)
Apr 16 05:40:17 dhcp-25-124.brq.redhat.com runuser[14699]: pam_unix(runuser:session): session closed for user root
Apr 16 05:40:17 dhcp-25-124.brq.redhat.com conman[14697]: Starting ConMan: [  OK  ]
# echo $?
0
# systemctl is-active conman.service
active
# echo $?
0
#
  
Expected results:

  The kill command works.

Comment 1 Fedora End Of Life 2013-07-04 03:26:06 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2013-08-01 10:57:29 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.